Subject: Re: bug#37007: Problem with the menu-bars in mode "org" and "auctex"

From: Anders Rydvall <[email-masked]>
Date: Mon, 19 Aug 2019 13:38:46 +0200

Martin!

Yes, I meant "dragging" the mouse.

Wrong entries are not only associated with latex mode. Here example on 
calender:holiday going into org-mode(cal_hol.png; org_hol.png). 
Corruption of menu from other mode.

When starting emacs -Q I cant see any different behavior. Invoking dired 
with C-x d or M-x dired give the same result - incomplete menues as 
shown in dired1. However "dragging" the mouse opens the menues shown in 
dired2.

Den 2019-08-17 kl. 10:24, skrev martin rudalics:
> > It seems to be by random(I am maybe not enough systematic). At one
> > occasion all menus came up correctly in
> > latexmode((latexOK.png). Next try came with obviously corrupted
> > command-menu(latex_wrongCommand.png). I get those by dragging the
> > mouse from "tools" upwards and then down to "preview". But not every
> > time.
>
> I suppose you mean just "moving" the mouse, here we use "dragging" for
> moving the mouse with one of its buttons pressed.  Are "tools" and
> "peview" submenus of the latex menu?
>
> > Today I cant get the correct menues for org-mode
> > directly(0rg1.org2,org3) but, at one occasion, skifting from
> > latexmode after I got the menus there the menues come also in
> > org-mode though not the correct "text"(org4.png).
>
> Are all wrong entries somewhat related to latex?  From the text above
> it sounds so.  But since you earlier said that 'dired' had similar
> problems ...
>
> I would try to isolate the problematic modes first, if there are any.
> For example, if you start Emacs with -Q and invoke 'dired', can you
> produce the problem?
>
> > Downgrading Emacs?? In that case to what version? Is it in that case
> > necessary also to downgrade GTK??
>
> It depends.  If the problem is in the GTK version, it might help to
> downgrade GTK only (not really advisable if other applications depend
> on a GTK library).  In either case, downgrading anything should be the
> last option to try.
>
> martin